Bug 164982 - sudo rpm requires vim-minimal package, even if vim-enhanced is installed
sudo rpm requires vim-minimal package, even if vim-enhanced is installed
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: sudo (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Karel Zak
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-03 06:41 EDT by Adrian
Modified: 2013-06-28 07:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-19 08:00:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adrian 2005-08-03 06:41:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; es-ES; rv:1.7.10) Gecko/20050719 Fedora/1.7.10-1.5.1

Description of problem:
If you try to install the "sudo" package (with yum), then "vim-minimal" is also marked to be installed. I have "vim-enhanced" installed, that overlaps and extends "vim-minimal", so I don't want to install "vim-minimal". Does sudo really needs vim? If vim is needed, does sudo exactly needs "vim-minimal" instead of any vim version (i.e. "vim-enhanced")?

Version-Release number of selected component (if applicable):
1.6.8p8-2.2

How reproducible:
Always

Steps to Reproduce:
1. Run:  # yum install sudo
2. See the packages to be installed.
  

Actual Results:  Results:

# yum install sudo
Setting up Install Process
Setting up repositories
updates-released          100% |=========================|  951 B    00:00
extras                    100% |=========================| 1.1 kB    00:00
base                      100% |=========================| 1.1 kB    00:00
Reading repository metadata in from local files
primary.xml.gz            100% |=========================| 290 kB    00:01
updates-re: ################################################## 825/825
Added 0 new packages, deleted 27 old in 4.05 seconds
primary.xml.gz            100% |=========================| 519 kB    00:02
extras    : ################################################## 1479/1479
Added 27 new packages, deleted 0 old in 5.00 seconds
Parsing package install arguments
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package sudo.i386 0:1.6.8p8-2.2 set to be updated
--> Running transaction check
--> Processing Dependency: vim-minimal for package: sudo
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package vim-minimal.i386 1:6.3.071-3 set to be updated
--> Running transaction check

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size
=============================================================================
Installing:
 sudo                    i386       1.6.8p8-2.2      updates-released  184 k
Installing for dependencies:
 vim-minimal             i386       1:6.3.071-3      base              276 k

Transaction Summary
=============================================================================
Install      2 Package(s)
Update       0 Package(s)
Remove       0 Package(s)
Total download size: 460 k
Is this ok [y/N]: N


Expected Results:  Only the "sudo" package should appear to be installed, not "vim-minimal".

Additional info:

I have these packages installed:

vim-enhanced-6.3.071-3
vim-X11-6.3.071-3
vim-common-6.3.071-3
Comment 1 Karel Zak 2005-09-19 08:00:41 EDT
The "/bin/vi" is default sudo editor for the visudo util.

Note You need to log in before you can comment on or make changes to this bug.